Package org.eclipse.birt.chart.computation.withaxes

# Class AllAxes

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.AllAxes

All Implemented Interfaces:
  `IConstants`

public final class AllAxes extends Object implements IConstants
AllAxes

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`areAxesSwapped()`
`OneAxis`
`getAncillaryBase()`
`Insets`
`getInsets()`
`OneAxis`
`getOverlay(int iAxisIndex)`
`int`
`getOverlayCount()`
`OneAxis`
`getPrimaryBase()`
`OneAxis`
`getPrimaryOrthogonal()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getOverlay

public OneAxis getOverlay(int iAxisIndex)

### getOverlayCount

public int getOverlayCount()

### getPrimaryBase

public OneAxis getPrimaryBase()

### getPrimaryOrthogonal

public OneAxis getPrimaryOrthogonal()

### getAncillaryBase

public OneAxis getAncillaryBase()

### areAxesSwapped

public boolean areAxesSwapped()

### getInsets

public Insets getInsets()